#include <esp_now.h>
#include <WiFi.h>

uint8_t broadcastAddress[] = {0x70, 0x04, 0x1D, 0xFB, 0x34, 0xB4};

typedef struct struct_message {
  double x;
  double y;
} struct_message;

struct_message myData;

esp_now_peer_info_t peerInfo;

void OnDataSent(const uint8_t *mac_addr, esp_now_send_status_t status) {
  Serial.print("\r\nLast Packet Send Status:\t");
  Serial.println(status == ESP_NOW_SEND_SUCCESS ? "Delivery Success" : "Delivery Fail");
}
 
void setup() {
  Serial.begin(9600);
 
  WiFi.mode(WIFI_STA);

  if (esp_now_init() != ESP_OK) {
    Serial.println("Error initializing ESP-NOW");
    return;
  }

  esp_now_register_send_cb(OnDataSent);
  
  memcpy(peerInfo.peer_addr, broadcastAddress, 6);
  peerInfo.channel = 0;  
  peerInfo.encrypt = false;
  
  if (esp_now_add_peer(&peerInfo) != ESP_OK){
    Serial.println("Failed to add peer");
    return;
  }
}
 
void loop() {
  if(Serial.available() > 0){
    String str = Serial.readString();
    Serial.println(str);
    myData.x = str.substring(1, str.indexOf(",")).toInt();
    myData.y = str.substring(str.indexOf(",") + 2, str.length() - 1).toInt();
    strcpy(myData.a, "THIS IS A CHAR");
    
    esp_err_t result = esp_now_send(broadcastAddress, (uint8_t *) &myData, sizeof(myData));
     
    if (result == ESP_OK) {
      Serial.println("Sent with success");
    }
    else {
      Serial.println("Error sending the data");
    }
  }
}